com.amazonaws.services.workspaces.model

## Class WorkspaceProperties

- java.lang.Object
- - com.amazonaws.services.workspaces.model.WorkspaceProperties

All Implemented Interfaces:
  Serializable, Cloneable

    public class WorkspaceProperties
    extends Object
    implements Serializable, Cloneable

Describes the properties of a WorkSpace.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`WorkspaceProperties()`

### Method Summary

All Methods Instance Methods Concrete Methods
`WorkspaceProperties` `clone()`
`boolean` `equals(Object obj)`
`String` `getRunningMode()` The running mode of the WorkSpace.
`Integer` `getRunningModeAutoStopTimeoutInMinutes()` The time after a user logs off when WorkSpaces are automatically stopped.
`int` `hashCode()`
`void` `setRunningMode(RunningMode runningMode)` The running mode of the WorkSpace.
`void` `setRunningMode(String runningMode)` The running mode of the WorkSpace.
`void` `setRunningModeAutoStopTimeoutInMinutes(Integer runningModeAutoStopTimeoutInMinutes)` The time after a user logs off when WorkSpaces are automatically stopped.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`WorkspaceProperties` `withRunningMode(RunningMode runningMode)` The running mode of the WorkSpace.
`WorkspaceProperties` `withRunningMode(String runningMode)` The running mode of the WorkSpace.
`WorkspaceProperties` `withRunningModeAutoStopTimeoutInMinutes(Integer runningModeAutoStopTimeoutInMinutes)` The time after a user logs off when WorkSpaces are automatically stopped.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WorkspaceProperties

    public WorkspaceProperties()

### Method Detail

#### setRunningMode

    public void setRunningMode(String runningMode)

The running mode of the WorkSpace. AlwaysOn WorkSpaces are billed monthly. AutoStop WorkSpaces are billed by the hour and stopped when no longer being used in order to save on costs.

Parameters:
  `runningMode` - The running mode of the WorkSpace. AlwaysOn WorkSpaces are billed monthly. AutoStop WorkSpaces are billed by the hour and stopped when no longer being used in order to save on costs.
See Also:
  `RunningMode`

#### getRunningMode

    public String getRunningMode()

The running mode of the WorkSpace. AlwaysOn WorkSpaces are billed monthly. AutoStop WorkSpaces are billed by the hour and stopped when no longer being used in order to save on costs.

Returns:
  The running mode of the WorkSpace. AlwaysOn WorkSpaces are billed monthly. AutoStop WorkSpaces are billed by the hour and stopped when no longer being used in order to save on costs.
See Also:
  `RunningMode`

#### withRunningMode

    public WorkspaceProperties withRunningMode(String runningMode)

The running mode of the WorkSpace. AlwaysOn WorkSpaces are billed monthly. AutoStop WorkSpaces are billed by the hour and stopped when no longer being used in order to save on costs.

Parameters:
  `runningMode` - The running mode of the WorkSpace. AlwaysOn WorkSpaces are billed monthly. AutoStop WorkSpaces are billed by the hour and stopped when no longer being used in order to save on costs.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `RunningMode`

#### setRunningMode

    public void setRunningMode(RunningMode runningMode)

The running mode of the WorkSpace. AlwaysOn WorkSpaces are billed monthly. AutoStop WorkSpaces are billed by the hour and stopped when no longer being used in order to save on costs.

Parameters:
  `runningMode` - The running mode of the WorkSpace. AlwaysOn WorkSpaces are billed monthly. AutoStop WorkSpaces are billed by the hour and stopped when no longer being used in order to save on costs.
See Also:
  `RunningMode`

#### withRunningMode

    public WorkspaceProperties withRunningMode(RunningMode runningMode)

The running mode of the WorkSpace. AlwaysOn WorkSpaces are billed monthly. AutoStop WorkSpaces are billed by the hour and stopped when no longer being used in order to save on costs.

Parameters:
  `runningMode` - The running mode of the WorkSpace. AlwaysOn WorkSpaces are billed monthly. AutoStop WorkSpaces are billed by the hour and stopped when no longer being used in order to save on costs.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `RunningMode`

#### setRunningModeAutoStopTimeoutInMinutes

    public void setRunningModeAutoStopTimeoutInMinutes(Integer runningModeAutoStopTimeoutInMinutes)

The time after a user logs off when WorkSpaces are automatically stopped. Configured in 60 minute intervals.

Parameters:
  `runningModeAutoStopTimeoutInMinutes` - The time after a user logs off when WorkSpaces are automatically stopped. Configured in 60 minute intervals.

#### getRunningModeAutoStopTimeoutInMinutes

    public Integer getRunningModeAutoStopTimeoutInMinutes()

The time after a user logs off when WorkSpaces are automatically stopped. Configured in 60 minute intervals.

Returns:
  The time after a user logs off when WorkSpaces are automatically stopped. Configured in 60 minute intervals.

#### withRunningModeAutoStopTimeoutInMinutes

    public WorkspaceProperties withRunningModeAutoStopTimeoutInMinutes(Integer runningModeAutoStopTimeoutInMinutes)

The time after a user logs off when WorkSpaces are automatically stopped. Configured in 60 minute intervals.

Parameters:
  `runningModeAutoStopTimeoutInMinutes` - The time after a user logs off when WorkSpaces are automatically stopped. Configured in 60 minute intervals.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public WorkspaceProperties clone()

Overrides:
  `clone` in class `Object`